<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddResourcePriorityNamespaceReq StructType
 * @subpackage Structs
 */
class AddResourcePriorityNamespaceReq extends APIRequest
{
    /**
     * The resourcePriorityNamespace
     * @var XResourcePriorityNamespace
     */
    public $resourcePriorityNamespace;
    /**
     * Constructor method for AddResourcePriorityNamespaceReq
     * @uses AddResourcePriorityNamespaceReq::setResourcePriorityNamespace()
     * @param XResourcePriorityNamespace $resourcePriorityNamespace
     */
    public function __construct(XResourcePriorityNamespace $resourcePriorityNamespace = null)
    {
        $this
            ->setResourcePriorityNamespace($resourcePriorityNamespace);
    }
    /**
     * Get resourcePriorityNamespace value
     * @return XResourcePriorityNamespace|null
     */
    public function getResourcePriorityNamespace()
    {
        return $this->resourcePriorityNamespace;
    }
    /**
     * Set resourcePriorityNamespace value
     * @param XResourcePriorityNamespace $resourcePriorityNamespace
     * @return AddResourcePriorityNamespaceReq
     */
    public function setResourcePriorityNamespace(XResourcePriorityNamespace $resourcePriorityNamespace = null)
    {
        $this->resourcePriorityNamespace = $resourcePriorityNamespace;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddResourcePriorityNamespaceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
